public static final class ToolUseExample.Builder extends GeneratedMessage.Builder<ToolUseExample.Builder> implements ToolUseExampleOrBuilderA single example of the tool usage.
Protobuf type google.cloud.aiplatform.v1beta1.ToolUseExample
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > ToolUseExample.BuilderImplements
ToolUseExampleOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public ToolUseExample build()| Returns | |
|---|---|
| Type | Description |
ToolUseExample |
|
buildPartial()
public ToolUseExample buildPartial()| Returns | |
|---|---|
| Type | Description |
ToolUseExample |
|
clear()
public ToolUseExample.Builder clear()| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
clearDisplayName()
public ToolUseExample.Builder clearDisplayName()Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
clearExtensionOperation()
public ToolUseExample.Builder clearExtensionOperation()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
clearFunctionName()
public ToolUseExample.Builder clearFunctionName()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
clearQuery()
public ToolUseExample.Builder clearQuery()Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
clearRequestParams()
public ToolUseExample.Builder clearRequestParams()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
clearResponseParams()
public ToolUseExample.Builder clearResponseParams()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
clearResponseSummary()
public ToolUseExample.Builder clearResponseSummary()Summary of the tool response to the user query.
string response_summary = 5;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
clearTarget()
public ToolUseExample.Builder clearTarget()| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
getDefaultInstanceForType()
public ToolUseExample getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
ToolUseExample |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getDisplayName()
public String getDisplayName()Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The displayName. |
getDisplayNameBytes()
public ByteString getDisplayNameBytes()Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for displayName. |
getExtensionOperation()
public ToolUseExample.ExtensionOperation getExtensionOperation()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.ExtensionOperation |
The extensionOperation. |
getExtensionOperationBuilder()
public ToolUseExample.ExtensionOperation.Builder getExtensionOperationBuilder()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.ExtensionOperation.Builder |
|
getExtensionOperationOrBuilder()
public ToolUseExample.ExtensionOperationOrBuilder getExtensionOperationOrBuilder()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.ExtensionOperationOrBuilder |
|
getFunctionName()
public String getFunctionName()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
String |
The functionName. |
getFunctionNameBytes()
public ByteString getFunctionNameBytes()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for functionName. |
getQuery()
public String getQuery()Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The query. |
getQueryBytes()
public ByteString getQueryBytes()Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for query. |
getRequestParams()
public Struct getRequestParams()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
Struct |
The requestParams. |
getRequestParamsBuilder()
public Struct.Builder getRequestParamsBuilder()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getRequestParamsOrBuilder()
public StructOrBuilder getRequestParamsOrBuilder()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getResponseParams()
public Struct getResponseParams()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
Struct |
The responseParams. |
getResponseParamsBuilder()
public Struct.Builder getResponseParamsBuilder()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getResponseParamsOrBuilder()
public StructOrBuilder getResponseParamsOrBuilder()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getResponseSummary()
public String getResponseSummary()Summary of the tool response to the user query.
string response_summary = 5;
| Returns | |
|---|---|
| Type | Description |
String |
The responseSummary. |
getResponseSummaryBytes()
public ByteString getResponseSummaryBytes()Summary of the tool response to the user query.
string response_summary = 5;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseSummary. |
getTargetCase()
public ToolUseExample.TargetCase getTargetCase()| Returns | |
|---|---|
| Type | Description |
ToolUseExample.TargetCase |
|
hasExtensionOperation()
public boolean hasExtensionOperation()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the extensionOperation field is set. |
hasFunctionName()
public boolean hasFunctionName()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the functionName field is set. |
hasRequestParams()
public boolean hasRequestParams()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the requestParams field is set. |
hasResponseParams()
public boolean hasResponseParams()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseParams field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeExtensionOperation(ToolUseExample.ExtensionOperation value)
public ToolUseExample.Builder mergeExtensionOperation(ToolUseExample.ExtensionOperation value)Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Parameter | |
|---|---|
| Name | Description |
value |
ToolUseExample.ExtensionOperation |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
mergeFrom(ToolUseExample other)
public ToolUseExample.Builder mergeFrom(ToolUseExample other)| Parameter | |
|---|---|
| Name | Description |
other |
ToolUseExample |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public ToolUseExample.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public ToolUseExample.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
mergeRequestParams(Struct value)
public ToolUseExample.Builder mergeRequestParams(Struct value)Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
mergeResponseParams(Struct value)
public ToolUseExample.Builder mergeResponseParams(Struct value)Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setDisplayName(String value)
public ToolUseExample.Builder setDisplayName(String value)Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe displayName to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setDisplayNameBytes(ByteString value)
public ToolUseExample.Builder setDisplayNameBytes(ByteString value)Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for displayName to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setExtensionOperation(ToolUseExample.ExtensionOperation value)
public ToolUseExample.Builder setExtensionOperation(ToolUseExample.ExtensionOperation value)Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Parameter | |
|---|---|
| Name | Description |
value |
ToolUseExample.ExtensionOperation |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setExtensionOperation(ToolUseExample.ExtensionOperation.Builder builderForValue)
public ToolUseExample.Builder setExtensionOperation(ToolUseExample.ExtensionOperation.Builder builderForValue)Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
ToolUseExample.ExtensionOperation.Builder |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setFunctionName(String value)
public ToolUseExample.Builder setFunctionName(String value)Function name to call.
string function_name = 11;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe functionName to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setFunctionNameBytes(ByteString value)
public ToolUseExample.Builder setFunctionNameBytes(ByteString value)Function name to call.
string function_name = 11;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for functionName to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setQuery(String value)
public ToolUseExample.Builder setQuery(String value)Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe query to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setQueryBytes(ByteString value)
public ToolUseExample.Builder setQueryBytes(ByteString value)Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for query to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setRequestParams(Struct value)
public ToolUseExample.Builder setRequestParams(Struct value)Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setRequestParams(Struct.Builder builderForValue)
public ToolUseExample.Builder setRequestParams(Struct.Builder builderForValue)Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setResponseParams(Struct value)
public ToolUseExample.Builder setResponseParams(Struct value)Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setResponseParams(Struct.Builder builderForValue)
public ToolUseExample.Builder setResponseParams(Struct.Builder builderForValue)Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
|
setResponseSummary(String value)
public ToolUseExample.Builder setResponseSummary(String value)Summary of the tool response to the user query.
string response_summary = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe responseSummary to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |
setResponseSummaryBytes(ByteString value)
public ToolUseExample.Builder setResponseSummaryBytes(ByteString value)Summary of the tool response to the user query.
string response_summary = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for responseSummary to set. |
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.Builder |
This builder for chaining. |